Uploaded image for project: 'HPCC'
  1. HPCC
  2. HPCC-15810

Build process failed to generate package on master branch under CentOS(6).

    XMLWordPrintable

    Details

    • Type: Regression
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 6.2.0
    • Fix Version/s: 6.2.0
    • Component/s: Build process
    • Labels:
      None

      Description

      CPackERP error message:

      CPack: Create package
      CPackRPM: Will use GENERATED spec file: /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/SPECS/hpccsystems-platform.spec
      CPackRPM:Debug: You may consult rpmbuild logs in: 
      CPackRPM:Debug:    - /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/rpmbuild.err
      CPackRPM:Debug: *** + umask 022
      + cd /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/BUILD
      + LANG=C
      + export LANG
      + unset DISPLAY
      + mv /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64 /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/tmpBBroot
      + exit 0
      + umask 022
      + cd /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/BUILD
      + '[' /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64 '!=' / ']'
      + rm -rf /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64
      ++ dirname /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64
      + mkdir -p /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM
      + mkdir /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64
      + LANG=C
      + export LANG
      + unset DISPLAY
      + '[' -e /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64 ']'
      + rm -rf /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64
      + mv /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/tmpBBroot /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64
      + /usr/lib/rpm/check-buildroot
      + /usr/lib/rpm/redhat/brp-compress
      + /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
      + /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
      + /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
      + /usr/lib/rpm/brp-python-bytecompile /usr/bin/python
      + /usr/lib/rpm/redhat/brp-python-hardlink
      + /usr/lib/rpm/redhat/brp-java-repack-jars
      error: line 10268: Dependency tokens must begin with alpha-numeric, '_' or '/':   Generated by CPack RPM (no Changelog file were provided)
      
      error: Failed to find Requires:
          line 10268: Dependency tokens must begin with alpha-numeric, '_' or '/':   Generated by CPack RPM (no Changelog file were provided)
      
          Failed to find Requires:
       ***
      CPackRPM:Debug:    - /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/rpmbuild.out
      CPackRPM:Debug: *** Building target platforms: x86_64
      Building for target x86_64
      Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.r0Ivjb
      Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.RNygz2
      Processing files: hpccsystems-platform-6.1.0-trunk0.x86_64
      Finding  Provides: /bin/sh -c 'while read file; do /usr/lib/rpm/rpmdeps -P  | /bin/grep -v libRInside.so | /bin/grep -v libRcpp.so ; done | /bin/sort -u'
      Finding  Requires: /bin/sh -c 'while read file; do /usr/lib/rpm/rpmdeps -R  | /bin/grep -v libRInside.so | /bin/grep -v libRcpp.so ; done | /bin/sort -u'
      Provides: libactivitymasters_lcr.so()(64bit) libactivityslaves_lcr.so()(64bit) libarchivefile.so()(64bit) libauditlib.so()(64bit) libcassandraembed.so()(64bit) libcassandralogagent.so()(64bit) libcassandra.so.2()(64bit) libccd.so()(64bit) libconfigutils.so()(64bit) libdalibase.so()(64bit) libdalift.so()(64bit) libdebugservices.so()(64bit) libdeftype.so()(64bit) libdeploy.so()(64bit) libdeployutils.so()(64bit) libdfuwu.so()(64bit) libdfuXRefLib.so()(64bit) libdllserver.so()(64bit) libdmetaphone.so()(64bit) libEclDirect.so()(64bit) libeclrtl.so()(64bit) libenvironment.so()(64bit) libesdlcomp.so()(64bit) libesdllib.so()(64bit) libesdl_svc_engine.so()(64bit) libesphttp.so()(64bit) libespserverloggingagent.so()(64bit) libexampleplugin.so()(64bit) libfileservices.so()(64bit) libfileview2.so()(64bit) libgitfile.so()(64bit) libgraph_lcr.so()(64bit) libgraphmaster_lcr.so()(64bit) libgraphslave_lcr.so()(64bit) libhqlcpp.so()(64bit) libhql.so()(64bit) libhthor.so()(64bit) libhtpasswdSecurity.so()(64bit) libjavaembed.so()(64bit) libjhtree.so()(64bit) libjlib.so()(64bit) libkafka.so()(64bit) libLdapSecurity.so()(64bit) libloggingclient.so()(64bit) libloggingmanager.so()(64bit) liblogging.so()(64bit) libmemcachedplugin.so()(64bit) libmfilemanager_lcr.so()(64bit) libmp.so()(64bit) libmysqlembed.so()(64bit) libnbcd.so()(64bit) libparselib.so()(64bit) libpyembed.so()(64bit) librdkafka.so.1()(64bit) librdkafka++.so.1()(64bit) libredis.so()(64bit) libRembed.so()(64bit) libremote.so()(64bit) libroxieclient.so()(64bit) libroxiecommlib.so()(64bit) libroxiemem.so()(64bit) libschedulectrl.so()(64bit) libsecuresocket.so()(64bit) libSMCLib.so()(64bit) libsoaplib.so()(64bit) libsqlite3embed.so()(64bit) libstringlib.so()(64bit) libswapnodelib.so()(64bit) libthorcodectx_lcr.so()(64bit) libthorhelper.so()(64bit) libthorsort_lcr.so()(64bit) libtimelib.so()(64bit) libudplib.so()(64bit) libunicodelib.so()(64bit) libuv.so.0.10()(64bit) libv8embed.so()(64bit) libworkunitservices.so()(64bit) libworkunit.so()(64bit) libws_access.so()(64bit) libws_account.so()(64bit) libws_config.so()(64bit) libWsDeploy.so()(64bit) libws_dfu.so()(64bit) libws_ecl_client.so()(64bit) libws_ecl.so()(64bit) libws_esdlconfig.so()(64bit) libws_espcontrol.so()(64bit) libws_fileio.so()(64bit) libws_fs.so()(64bit) libws_loggingservice.so()(64bit) libws_machine.so()(64bit) libws_packageprocess.so()(64bit) libws_smc.so()(64bit) libws_topology.so()(64bit) libws_workunits.so()(64bit) libwuwebview.so()(64bit) libxmllib.so()(64bit) libzcrypt.so()(64bit) perl(EsdlExample)
      Requires(interp): /bin/sh /bin/sh /bin/sh /bin/sh
      Requires(rpmlib): rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
      Requires(pre): /bin/sh
      Requires(post): /bin/sh
      Requires(preun): /bin/sh
      Requires(postun): /bin/sh
      Requires: /bin/bash /bin/sh ld-linux-x86-64.so.2()(64bit) ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) libactivitymasters_lcr.so()(64bit) libactivityslaves_lcr.so()(64bit) libapr-1.so.0()(64bit) libaprutil-1.so.0()(64bit) libarchive.so.2()(64bit) libboost_regex-mt.so.5()(64bit) libcassandra.so.2()(64bit) libccd.so()(64bit) libconfigutils.so()(64bit) libcppunit-1.12.so.1()(64bit) libcrypto.so.10()(64bit) libcrypto.so.10(libcrypto.so.10)(64bit) libcrypt.so.1()(64bit) libcrypt.so.1(GLIBC_2.2.5)(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3.2)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.6)(64bit) libc.so.6(GLIBC_2.7)(64bit) libdalibase.so()(64bit) libdalift.so()(64bit) libdeftype.so()(64bit) libdeploy.so()(64bit) libdeployutils.so()(64bit) libdfuwu.so()(64bit) libdfuXRefLib.so()(64bit) libdllserver.so()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libeclrtl.so()(64bit) libenvironment.so()(64bit) libesdlcomp.so()(64bit) libesdllib.so()(64bit) libesphttp.so()(64bit) libexslt.so.0()(64bit) libfileview2.so()(64bit) libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libgraph_lcr.so()(64bit) libgraphmaster_lcr.so()(64bit) libgraphslave_lcr.so()(64bit) libhiredis.so.0.10()(64bit) libhqlcpp.so()(64bit) libhql.so()(64bit) libhthor.so()(64bit) libicudata.so.42()(64bit) libicui18n.so.42()(64bit) libicuuc.so.42()(64bit) libjhtree.so()(64bit) libjlib.so()(64bit) libjvm.so()(64bit) libjvm.so(SUNWprivate_1.1)(64bit) liblber-2.4.so.2()(64bit) libldap_r-2.4.so.2()(64bit) libLdapSecurity.so()(64bit) libmemcached.so.11()(64bit) libmemcachedutil.so.2()(64bit) libmfilemanager_lcr.so()(64bit) libmp.so()(64bit) libm.so.6()(64bit) libm.so.6(GLIBC_2.2.5)(64bit) libmysqlclient.so.16()(64bit) libmysqlclient.so.16(libmysqlclient_16)(64bit) libnbcd.so()(64bit) libnuma.so.1()(64bit) libnuma.so.1(libnuma_1.1)(64bit) libnuma.so.1(libnuma_1.2)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libpthread.so.0(GLIBC_2.3.2)(64bit) libpthread.so.0(GLIBC_2.3.4)(64bit) libpython2.7.so.1.0()(64bit) librdkafka.so.1()(64bit) librdkafka++.so.1()(64bit) libremote.so()(64bit) libroxiecommlib.so()(64bit) libroxiemem.so()(64bit) libR.so()(64bit) librt.so.1()(64bit) librt.so.1(GLIBC_2.2.5)(64bit) libschedulectrl.so()(64bit) libsecuresocket.so()(64bit) libSMCLib.so()(64bit) libsoaplib.so()(64bit) libsqlite3.so.0()(64bit) libssl.so.10()(64bit) libssl.so.10(libssl.so.10)(64bit) libstdc++.so.6()(64bit) libstdc++.so.6(CXXABI_1.3.1)(64bit) libstdc++.so.6(CXXABI_1.3.3)(64bit) libstdc++.so.6(CXXABI_1.3)(64bit) libstdc++.so.6(GLIBCXX_3.4.11)(64bit) libstdc++.so.6(GLIBCXX_3.4)(64bit) libstdc++.so.6(GLIBCXX_3.4.9)(64bit) libswapnodelib.so()(64bit) libtbb.so.2()(64bit) libthorcodectx_lcr.so()(64bit) libthorhelper.so()(64bit) libthorsort_lcr.so()(64bit) libudplib.so()(64bit) libuv.so.0.10()(64bit) libv8.so.3()(64bit) libworkunitservices.so()(64bit) libworkunit.so()(64bit) libws_dfu.so()(64bit) libws_fs.so()(64bit) libws_machine.so()(64bit) libws_topology.so()(64bit) libws_workunits.so()(64bit) libwuwebview.so()(64bit) libxml2.so.2()(64bit) libxml2.so.2(LIBXML2_2.4.30)(64bit) libxml2.so.2(LIBXML2_2.5.8)(64bit) libxml2.so.2(LIBXML2_2.6.0)(64bit) libxml2.so.2(LIBXML2_2.6.5)(64bit) libxmllib.so()(64bit) libxslt.so.1()(64bit) libxslt.so.1(LIBXML2_1.0.11)(64bit) libxslt.so.1(LIBXML2_1.0.13)(64bit) libxslt.so.1(LIBXML2_1.0.18)(64bit) libxslt.so.1(LIBXML2_1.0.24)(64bit) libxslt.so.1(LIBXML2_1.1.2)(64bit) libxslt.so.1(LIBXML2_1.1.9)(64bit) libzcrypt.so()(64bit) libz.so.1()(64bit) libz.so.1(ZLIB_1.2.0)(64bit) libz.so.1(ZLIB_1.2.2)(64bit)
      
      
      RPM build errors:
       ***
      CPack Error: Problem copying the package: /mnt/disk1/home/vamosax/build/CE/platform/build/_CPack_Packages/Linux-x86_64/RPM/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64.rpm to /mnt/disk1/home/vamosax/build/CE/platform/build/hpccsystems-platform-community_6.1.0-trunk0.el6.x86_64.rpm
      CPack Error: Error when generating package: hpccsystems-platform
      make: *** [package] Error 1 
      

        Attachments

          Activity

            People

            • Assignee:
              richardkchapman Richard Chapman
              Reporter:
              attilavamos Attila Vamos
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: